%define name mars-nwe
%define version 0.99pl20
%define release 8mdk

Summary: NetWare file and print servers which run on Linux systems.
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Url: ftp://sunsite.unc.edu/pub/Linux/system/filesystems/ncpfs/
Source:  ftp://ftp.compu-art.de/mars_nwe/mars_nwe-0.99.pl20.tar.bz2
Source1: mars_nwe-mk.li
Source2: mars_nwe-config.h
Source3: mars_nwe-nwserv.conf
Source4: mars_nwe-readme.txt
Source5: mars_nwe.init
Source6: mars_nwe.log
Patch1: mars_nwe-glibc21.patch.bz2
Patch2: mars_nwe-0.99.pl19-buffer.patch.bz2
Group: System/Servers
Requires: libgdbm1
BuildRequires: libgdbm1-devel
Prereq: /sbin/chkconfig rpm-helper
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
The mars_nwe (MARtin Stover's NetWare Emulator) package enables Linux
to provide both file and print services for NetWare clients (i.e.,
providing the services of a Novell NetWare file server).  Mars_nwe
allows the sharing of files between Linux machines and Novell NetWare
clients, using NetWare's native IPX protocol suite.

Install the mars_nwe package if you need a Novell NetWare file server
on your Mandrake Linux system.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n mars_nwe
%patch1 -p1 -b .glibc21
%patch2 -p1 -b .buffer
cp -f %SOURCE1 ./mk.li
cp -f %SOURCE2 ./config.h

%build

%serverbuild

chmod 755 mk.li
%make

%install
rm -rf $RPM_BUILD_ROOT
for I in sys/login sys/public sys/system bindery; do \
	mkdir -p --mode=0755 $RPM_BUILD_ROOT/var/mars_nwe/$I
done

mkdir -p $RPM_BUILD_ROOT/var/log $RPM_BUILD_ROOT/var/run
install -m644 %SOURCE4 $RPM_BUILD_ROOT/var/mars_nwe/sys/readme.txt
:> $RPM_BUILD_ROOT/var/log/mars_nwe.log
chmod 0644 $RPM_BUILD_ROOT/var/log/mars_nwe.log
:> $RPM_BUILD_ROOT/var/run/mars_nwe.routes
chmod 0644 $RPM_BUILD_ROOT/var/run/mars_nwe.routes

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir} $RPM_BUILD_ROOT%{_sbindir}
install -m644 examples/nwserv.stations $RPM_BUILD_ROOT%{_sysconfdir}/nwserv.stations
for I in nwserv nwconn ncpserv nwclient nwbind; do
	install -s -m 755 $I $RPM_BUILD_ROOT%{_sbindir}/$I
done
install -m600 %SOURCE3 $RPM_BUILD_ROOT%{_sysconfdir}/nwserv.conf

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d $RPM_BUILD_ROOT/etc/logrotate.d
install -m755 %SOURCE5 $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/mars-nwe
install -m644 %SOURCE6 $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/mars-nwe.log

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf /tmp/mars_nwe.err

%post
touch /var/log/mars_nwe.log
touch /var/run/mars_nwe.routes
%_post_service mars-nwe

%preun

%_preun_service mars-nwe

%postun
touch /var/log/mars_nwe.log
touch /var/run/mars_nwe.routes


%files
%defattr(-,root,root)
%dir /var/mars_nwe
/var/mars_nwe/sys
%dir /var/mars_nwe/bindery
%ghost /var/log/mars_nwe.log
%ghost /var/run/mars_nwe.routes
%config(noreplace) %{_sysconfdir}/nwserv.stations
%config(noreplace) %{_sysconfdir}/logrotate.d/mars-nwe.log
%{_sbindir}/*
%config(noreplace) %{_initrddir}/mars-nwe
%defattr(0644,root,root,755)
%doc README COPYING doc examples
%config(noreplace) %{_sysconfdir}/nwserv.conf


%changelog
* Thu Jan 16 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.99pl20-8mdk
- rebuild

* Mon Oct 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.99pl20-7mdk
- url

* Tue Oct 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.99pl20-6mdk
- rebuild

* Mon Oct 08 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99pl20-5mdk
- s!Linux Mandrake!Mandrake Linux!g

* Tue Sep 25 2001 Lenny Cartier <lenny@mandrakesoft.com>  0.99pl20-4mdk
- new life in contribs
- fix some permissions

* Fri Apr 06 2001 Lenny Cartier <lenny@mandrakesoft.com>  0.99pl20-3mdk
- new macros for initscript
- server rebuild

* Sat Mar 17 2001  Lenny Cartier <lenny@mandrakesoft.com>  0.99pl20-2mdk
- minor changes in spec

* Mon Jan 01 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 0.99pl20-1mdk
- updated to 0.99pl20
- changed source path to current ftp site
- use correct permisions for the source files (chown while building)
- modified mars_nwe-mk.li: CPP="cc -E" --> CPP="cpp -traditional"
- modified mars_nwe-glibc21.patch (thanks RedHat)
- use RedHat's mars_nwe-0.99.pl19-buffer.patch
- remove /tmp/mars_nwe.err in %%clean
- some macro's

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.99pl17-4mdk
- automatically added BuildRequires

* Tue Mar 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.99pl17-3mdk
- clean specfile 

* Thu Nov 04 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release
- Fixed defattrs

* Tue Sep 14 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- redo Mandrake adaptions

* Fri Sep  3 1999 Bill Nottingham <notting@redhat.com>
- add patch to fix some buffer overflows.

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Sat Jun 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 0.99.pl17

* Thu Jun 10 1999 Dale Lovelace <dale@redhat.com>
- fixed logrotate script

* Mon May 24 1999 Bill Nottingham <notting@redhat.com>
- update to 0.99.pl16

* Thu May 13 1999 Bill Nottingham <notting@redhat.com>
- actually update source to 0.99.pl15. Doh!

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- logrotate fixes

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Mar  9 1999 Bill Nottingham <notting@redhat.com>
- update to 0.99.pl15

* Tue Feb 23 1999 Bill Nottingham <notting@redhat.com>
- update to 0.99.pl14

* Tue Aug 18 1998 Cristian Gafton <gafton@redhat.com>
- buildroot

* Sun May 10 1998 Alan Cox <alan@redhat.com>
- Made it compile with 2.1.* kernels and also gcc 2.0.7 where sysv_signal
  is correctly hidden as __sysv_signal.

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 0.99pl6
- enhanced initscripts

* Tue Jan 13 1998 Erik Troan <ewt@redhat.com>
- use sysv_signal everywhere instead of normal signal -- this makes signal
  handlers not block signals, which mars_nwe expects
- changed _ to - in name of logrotate config file

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- updated for chkconfig
- doesn't start by default
- added status, restart options to init script

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
